{
  lib,
  config,
  inputs,
  ...
}: let
  cfg = config.music;
in {
  imports = [./mpd.nix];

  options = {
    music.enable = lib.mkEnableOption "make the system ready for listening to music";
  };

  config = lib.mkIf cfg.enable {
    music.mpd.enable = lib.mkDefault true;
  };
}
