{
  lib,
  config,
  ...
}: let
  cfg = config.myPrograms.nextcloud;
in {
  options = {
    myPrograms.nextcloud.enable = lib.mkEnableOption "nextcloud client";
  };

  config = lib.mkIf cfg.enable {
    services.nextcloud-client.enable = true;
  };
}
