{
  lib,
  config,
  ...
}: let
  cfg = config.myPrograms.udiskie;
in {
  options = {
    myPrograms.udiskie.enable = lib.mkEnableOption "auto media mounting";
  };

  config = lib.mkIf cfg.enable {
    services.udiskie = {
      enable = true;
      automount = true;
      notify = true;
    };
  };
}
